#include "camera.h"
#include "program.h"
#include "player.h"

static
void play() {
    g_camera.fov = 5;
    SpawnPlayer(ZeroVector);
}

static
void tick() {}

static
void draw() {}

int main(int argc, char* argv[]) {
    struct ProgramSettings config = {
        .target_fps = 240,
        .title = "fencer",
        .view_resolution = {1920, 1080},
        .on_play = &play,
        .on_tick = &tick,
        .on_draw = &draw
    };
    program_run(&config);
}
